% making an exponential sweep

fs = 44100;
N = 44100; %1s sweep

Nint = 44100;
Nch = 16;

w0 = 2*pi/fs * 19.989; %20 Hz start freq
wN = pi; % fs/2 end freq

b = log(wN/w0)/N;
c = w0;

n = 0:N-1;

s = sin(c/b*(exp(b*n)-1));
spectrogram(s,hann(2048),1024,[],fs,'Yaxis')
% audiowrite('sweep.wav',s,fs)

S=zeros((Nch-1)*N+Nint,Nch);
for ch=1:Nch
    S((ch-1)*Nint+(1:N),ch)=s;
end

audiowrite('multisweep.wav',S,fs)
